[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: openldap becomes unresponsive

--On Wednesday, January 16, 2008 11:12 AM +1100 Daniel Buttigieg <dbuttigieg@swin.edu.au> wrote:


We are running the standard openldap-2.2.13 and Berkeley DB 4.2.52
packages on a RHEL 4 server.

The current OpenLDAP release is OpenLDAP 2.4.7. Your release is years out of date and thousands of bug fixes behind.

Please note that the packages "provided" by redhat are not to be used for running an OpenLDAP server. They are installed for the client libraries so that other ldap aware utilities can use them. Using the RH provided packages puts your data at extreme risk.

If you wish to use OpenLDAP on RHEL, I highly advise that you use the packages provided by Symas (<http://www.symas.com>) or by Buchan Milne (<http://staff.telkomsa.net/packages/>).

As a side note, 2.2.13 was a very early 2.2 release, and known to have many problems fixed later in the 2.2 series. I also highly doubt that the version of BDB 4.2.52 shipped with RH has the required BDB patches.



Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
Zimbra ::  the leader in open source messaging and collaboration